@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@500;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Fraunces:opsz,wght@9..144,700&display=swap');

:root {
    --darkCyan: hsl(158, 36%, 37%);
    --cream: hsl(30, 38%, 92%);
    --veryDarkBlue: hsl(212, 21%, 14%);
    --darGrayishBlue: hsl(228, 12%, 48%);
    --white: hsl(0, 0%, 100%);
}

* {
    margin: 0;
    border: 0;
    box-sizing: border-box;
    padding: 0;
}

body {
    background: var(--cream);
    font-family: 'Montserrat', sans-serif;
    font-size: 14px;
}

#gatsby-focus-wrapper {
    display: grid;
    place-items: center;
}

.card {
    margin-top: 28px;
    width: clamp(342px, calc(100% * 342 / 375), 600px);
    border-radius: 10px;
    background: var(--white);
    display: grid;
    overflow: hidden;
}

.card .card-image {
    width: 100%;
    height: 240px;
    background: url('images/image-product-mobile.jpg') 99% center;
    background-size: cover;
}

.card .card-text {
    padding: 22px 23.5px 23.5px;
}

.card .card-text .product-name {
    margin-top: 10px;
    color: var(--darGrayishBlue);
    font-size: 13px;
    letter-spacing: 4.2px;
}

.card .card-text .title {
    margin-top: 7px;
    font-family: 'Fraunces', serif;
    font-weight: 700;
    font-size: 35.4px;
    line-height: 36px;
    transform: scale(1, .9);
}

.card .card-text .desc {
    margin-top: 11px;
    color: var(--darGrayishBlue);
    font-size: 13px;
    line-height: 23px;
}

.card .card-text .price {
    margin-top: 44px;
    display: flex;
    align-items: center;
    gap: 25px;
}

.card .card-text .price .discounted-price {
    color: var(--darkCyan);
    font-family: 'Fraunces', serif;
    font-weight: 700;
    font-size: 34.2px;
    transform: scale(1, .95);
}

.card .card-text .price .original-price {
    margin-top: -2px;
    color: var(--darGrayishBlue);
    font-size: 13px;
}

.card .card-text .button {
    margin-top: 14px;
    width: 100%;
    height: 48px;
    border-radius: 8px;
    background: var(--darkCyan);
    color: var(--white);
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

.card .card-text .button:hover {
    background: #1a4031;
}

.card .card-text .button-text {
    margin-top: -2px;
    font-weight: 700;
    font-size: 15.3px;
}

.attribution {
    margin: 6.5px 0;
    font-size: 12px;
    text-align: center;
}

.attribution a {
    color: hsl(228, 45%, 44%);
}

@media only screen and (min-width: calc(600px * 375 / 342)) {
    .card {
        margin-top: 175px;
        grid-template-columns: 1fr 1fr;
    }

    .card .card-image {
        height: 100%;
        background: url('images/image-product-desktop.jpg') 99% center;
        background-size: contain;
    }

    .card .card-text {
        padding: 30px 31px 32px;
    }

    .card .card-text .title {
        margin-top: 14px;
        line-height: 35.5px;
    }

    .card .card-text .desc {
        margin-top: 18px;
        font-size: 14.1px;
    }

    .card .card-text .price {
        margin-top: 25px;
    }

    .card .card-text .button {
        margin-top: 24px;
    }

    .attribution {
        margin: 140px 0 20px;
    }
}